JUCE: AudioProcessorListener::ChangeDetails Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
AudioProcessorListener::ChangeDetails Struct Reference
juce_audio_processors » processors

Provides details about aspects of an AudioProcessor which have changed. More...

`#include <juce_AudioProcessorListener.h>`

## Public Member Functions
ChangeDetails | withLatencyChanged (bool b) const noexcept
| Indicates that the AudioProcessor's latency has changed.
ChangeDetails | withParameterInfoChanged (bool b) const noexcept
| Indicates that some attributes of the AudioProcessor's parameters have changed.
ChangeDetails | withProgramChanged (bool b) const noexcept
| Indicates that the loaded program has changed.
ChangeDetails | withNonParameterStateChanged (bool b) const noexcept
| Indicates that the plugin state has changed (but not its parameters!).

## Static Public Member Functions
static ChangeDetails | getDefaultFlags ()
| Returns the default set of flags that will be used when AudioProcessor::updateHostDisplay() is called with no arguments.
static ChangeDetails | getAllChanged ()

## Public Attributes
bool | latencyChanged = false
bool | parameterInfoChanged = false
bool | programChanged = false
bool | nonParameterStateChanged = false

## Detailed Description

Provides details about aspects of an AudioProcessor which have changed.

## Member Function Documentation

## ◆ withLatencyChanged()

ChangeDetails AudioProcessorListener::ChangeDetails::withLatencyChanged | ( | bool | b | ) | const
| noexcept

Indicates that the AudioProcessor's latency has changed.

Most of the time, you won't need to use this function directly. AudioProcessor::setLatencySamples() will automatically call AudioProcessor::updateHostDisplay(), indicating that the latency has changed.

See also
  latencyChanged

Referenced by getDefaultFlags().

## ◆ withParameterInfoChanged()

ChangeDetails AudioProcessorListener::ChangeDetails::withParameterInfoChanged | ( | bool | b | ) | const
| noexcept

Indicates that some attributes of the AudioProcessor's parameters have changed.

When this flag is set, the host should rescan the AudioProcessor's parameters, and update its controls to match. This is often used to update the names of a plugin's parameters in the host.

See also
  parameterInfoChanged

Referenced by getDefaultFlags().

## ◆ withProgramChanged()

ChangeDetails AudioProcessorListener::ChangeDetails::withProgramChanged | ( | bool | b | ) | const
| noexcept

Indicates that the loaded program has changed.

When this flag is set, the host should call AudioProcessor::getCurrentProgram() and update any preset list views to display the program that is currently in use.

See also
  programChanged

Referenced by getDefaultFlags().

## ◆ withNonParameterStateChanged()

ChangeDetails AudioProcessorListener::ChangeDetails::withNonParameterStateChanged | ( | bool | b | ) | const
| noexcept

Indicates that the plugin state has changed (but not its parameters!).

An AudioProcessor can call updateHostDisplay with this flag set to notify the host that its state has changed in a way that requires re-saving.

If a host receives a call to audioProcessorChanged with this flag set, it should offer to save the plugin state before taking any actions that might irrevocably destroy the current plugin state, such as closing the project.

See also
  nonParameterStateChanged

## ◆ getDefaultFlags()

static ChangeDetails AudioProcessorListener::ChangeDetails::getDefaultFlags | ( |  | ) |
| static

Returns the default set of flags that will be used when AudioProcessor::updateHostDisplay() is called with no arguments.

References withLatencyChanged(), withParameterInfoChanged(), and withProgramChanged().

## ◆ getAllChanged()

static ChangeDetails AudioProcessorListener::ChangeDetails::getAllChanged | ( |  | ) |
| static

## Member Data Documentation

## ◆ latencyChanged

bool AudioProcessorListener::ChangeDetails::latencyChanged = false

See also
  withLatencyChanged

## ◆ parameterInfoChanged

bool AudioProcessorListener::ChangeDetails::parameterInfoChanged = false

See also
  withParameterInfoChanged

## ◆ programChanged

bool AudioProcessorListener::ChangeDetails::programChanged = false

See also
  withProgramChanged

## ◆ nonParameterStateChanged

bool AudioProcessorListener::ChangeDetails::nonParameterStateChanged = false

See also
  withNonParameterStateChanged

The documentation for this struct was generated from the following file:

- juce_AudioProcessorListener.h